| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.MatrixPalette

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the ARB_matrix_palette extension, see http://www.opengl.org/registry/specs/ARB/matrix_palette.txt.
Synopsis

glCurrentPaletteMatrix :: GLint -> IO ()
glMatrixIndexubv :: GLint -> Ptr GLubyte -> IO ()
glMatrixIndexusv :: GLint -> Ptr GLushort -> IO ()
glMatrixIndexuiv :: GLint -> Ptr GLuint -> IO ()
glMatrixIndexPointer :: GLint -> GLenum -> GLsizei -> Ptr a -> IO ()
gl_MATRIX_PALETTE :: GLenum
gl_MAX_MATRIX_PALETTE_STACK_DEPTH :: GLenum
gl_MAX_PALETTE_MATRICES :: GLenum
gl_CURRENT_PALETTE_MATRIX :: GLenum
gl_MATRIX_INDEX_ARRAY :: GLenum
gl_CURRENT_MATRIX_INDEX :: GLenum
gl_MATRIX_INDEX_ARRAY_SIZE :: GLenum
gl_MATRIX_INDEX_ARRAY_TYPE :: GLenum
gl_MATRIX_INDEX_ARRAY_STRIDE :: GLenum
gl_MATRIX_INDEX_ARRAY_POINTER :: GLenum

Functions

glCurrentPaletteMatrix :: GLint -> IO () | Source

glMatrixIndexubv :: GLint -> Ptr GLubyte -> IO () | Source

glMatrixIndexusv :: GLint -> Ptr GLushort -> IO () | Source

glMatrixIndexuiv :: GLint -> Ptr GLuint -> IO () | Source

glMatrixIndexPointer :: GLint -> GLenum -> GLsizei -> Ptr a -> IO () | Source

Tokens

gl_MATRIX_PALETTE :: GLenum | Source

gl_MAX_MATRIX_PALETTE_STACK_DEPTH :: GLenum | Source

gl_MAX_PALETTE_MATRICES :: GLenum | Source

gl_CURRENT_PALETTE_MATRIX :: GLenum | Source

gl_MATRIX_INDEX_ARRAY :: GLenum | Source

gl_CURRENT_MATRIX_INDEX :: GLenum | Source

gl_MATRIX_INDEX_ARRAY_SIZE :: GLenum | Source

gl_MATRIX_INDEX_ARRAY_TYPE :: GLenum | Source

gl_MATRIX_INDEX_ARRAY_STRIDE :: GLenum | Source

gl_MATRIX_INDEX_ARRAY_POINTER :: GLenum | Source

Produced by Haddock version 2.4.2